function MiraMod_HellfireCitadel_Init(ini)

    -- Debuffs
    -- ini:addDebuff(name, addSound, addTextMsg, removeSound, removeMsg, scanInGroup, addYell, removeYell, stackCount, tiggerCountdown, countDown)
    ini:addDebuff("Gorefiend_Digest", "hebtab", "Gorefiend_Digest_Add", "verbindungweg", "Gorefiend_Digest_Rem", false, nil, nil, nil, true);
    ini:addDebuff("Gorefiend_Touch_of_Doom", "seuche", "Gorefiend_Touch_of_Doom_Add", "verbindungweg", "Gorefiend_Touch_of_Doom_Rem");

    -- Combat
    -- ini:addCombat(source, actionType, spellId, spellName, sound, textMsg, func, stackCount, target)
    ini:addCombat("Gorefiend", "SPELL_AURA_APPLIED", 179909, nil, "gouge",          "Gorefiend_Shared_Fate", MiraMod_onBlockingSharedFate);
    ini:addCombat("Gorefiend", "SPELL_AURA_REMOVED", 179909, nil, "verbindungweg",  "Gorefiend_Shared_Fate");
    ini:addCombat("Gorefiend", "SPELL_AURA_APPLIED", 179908, nil, "hinlauf",        "Gorefiend_Shared_Fate", MiraMod_onSharedFate);
    ini:addCombat("Gorefiend", "SPELL_AURA_REMOVED", 179908, nil, "verbindungweg",  "Gorefiend_Shared_Fate");

    ini.onStartEncounter = MiraMod_HellfireCitadel_onStartEncounter;

end

function MiraMod_HellfireCitadel_onStartEncounter(encounterId, encounterName, diff, players, ini)

	if(MiraMod_GetTranslation("Gorefiend") == encounterName) then

	end

end

function MiraMod_onSharedFate(ini)

    SendChatMessage(MiraMod_GetTranslation("Gorefiend_Shared_HaveToRun"), "YELL", nil, 0);

end

function MiraMod_onBlockingSharedFate(ini)

    SendChatMessage(MiraMod_GetTranslation("Gorefiend_Shared_RunToMe"), "YELL", nil, 0);

end
